Gmagick::radialblurimage
Gmagick::read
Gmagick
PHP Manual

# Gmagick::raiseimage

Creates a simulated 3d button-like effect

### Description

public void Gmagick::raiseimage ( int `$width` , int `$height` , int `$x` , int `$y` , bool `$raise` )

Creates a simulated three-dimensional button-like effect by lightening and darkening the edges of the image. Members width and height of raise_info define the width of the vertical and horizontal edge of the effect.

### Parameters

`width`

  Width of the area to raise.

`height`

  Height of the area to raise.

`x`

  X coordinate

`y`

  Y coordinate

`raise`

  A value other than zero creates a 3-D raise effect, otherwise it has a lowered effect.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.